
Katello - Bug #4904

content views: unable to update an 'errata by date/type' filter rule

03/27/2014 01:11 PM - Brad Buckingham

Status: Closed   

Priority: High   

Assignee: Brad Buckingham   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There is a bug in the erratum filter rule validator that is affecting the ability to manage errata by date/type filter rules.

The issue is that the validator will fail the create/update request if there is already an errata rule associated with the filter. 

Unfortunately, this isn't taking in to account if the rule being updated is the same as the one that is exists for filter.

Associated revisions

Revision 5adc20ba - 03/27/2014 01:34 PM - Brad Buckingham

fixes #4904 - erratum rule filter validator: fix for updating a date/type rule

This commit fixes an issue that would not allow the user

to update an existing content view erratum date/type filter rule.

Revision 1090498b - 03/27/2014 09:16 PM - Brad Buckingham

Merge pull request #3902 from bbuckingham/issue-4904

fixes #4904 - erratum rule filter validator: fix for updating a date/type rule

History

#1 - 03/27/2014 01:11 PM - Brad Buckingham

- Triaged changed from No to Yes

#2 - 03/27/2014 09:52 PM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:5adc20ba167351a6ce860695633d485bfd455368.

#3 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
